# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'malbec/version'

Gem::Specification.new do |spec|
  spec.name          = "malbec"
  spec.version       = Malbec::VERSION
  spec.authors       = ["Bala Paranj"]
  spec.email         = ["bparanj@gmail.com"]

  spec.summary       = %q{A gem to simplify Paypal IPN.}
  spec.description   = %q{A parser and handler for incoming Intant Payment Notifications from Paypal.}
  spec.homepage      = "http://www.rubyplus.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.2.2'
  
  spec.add_dependency 'activemerchant', "~> 1.52"
  spec.add_dependency 'offsite_payments', "~> 2.1"
  
  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.3"
end
